Subject: Re: playing ogg files in cygwin
From: Ralf Habacker <[email-masked]>
To: "Bob Clark" <[email-masked]>, Sven Köhler <[email-masked]>
Cc: [email-masked]
Date: Thu, 15 Jan 2004 10:40:44 +0100

On Tuesday 13 January 2004 23:58, Ralf Habacker wrote:
> On Tuesday 13 January 2004 19:51, Bob Clark wrote:
> > Sven Köhler <[email-masked]> writes:
> > >i also think, that cygwin doesn't have any OSS emulation, does it?
>
> it have using /dev/dsp.  For the kde-3.1.4 cygwin port I've tried to build
> ogg123 and it does have problems with playing sounds using /dev/dsp.
> ogg123 uses threads for buffering and playing sounds and it seems to me
> that there are the problems. I had not enough time to find the problem,  so
> I stopped this port yet.

Just a little note. I've tried yesterday ogg123 from the vorbis-tools 1.0rc3 
with recent cygwin snapshot. It works without any problems using oss. 

Ralf 

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/